Subject: Re: [PATCH diagnostic] Re: HPET regression in 2.6.26 versus 2.6.25 -- RCU problem

From: "Paul E. McKenney" <[email-masked]>
Date: Mon, 11 Aug 2008 12:27:40 -0700

On Mon, Aug 11, 2008 at 11:22:21AM -0700, David Witbrodt wrote:
> 
> 
> > > Well, I was hoping to see something interesting.  I ran it with parameters
> > > "debug initcall_debug", and it locked up at the same place.  I let it for
> > > 15 minutes, in case of some delayed reaction.  Nada.
> > 
> > Interesting.  The causes could be:
> > 
> > o    Scheduling-clock interrupts aren't happening, as Ingo suggested.
> 
> Does anyone have a short answer to this question:  Were the changes between
> 2.6.25 and 2.6.26 so major that interrupts are NOW being used that were not
> being used before?

Not that I am aware of, but I must defer to others who know more about
Linux's timer interrupts than do I.

							Thanx, Paul

> Again, I don't even pretend to understand the kernel's inner workings, but
> 2.6.25 _did_ work on this hardware... and with HPET enabled.
> 
> 
> DW